Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# step_iterator_adaptor Class Template Reference
[step iterators]

`#include <step_iterator.hpp>`

Inheritance diagram for step_iterator_adaptor:

List of all members.

## Detailed Description

### template<typename Derived, typename Iterator, typename SFn>
class boost::gil::detail::step_iterator_adaptor< Derived, Iterator, SFn >

An adaptor over an existing iterator that changes the step unit.

(i.e. distance(it,it+1)) by a given predicate. Instead of calling base's operators ++, --, +=, -=, etc. the adaptor is using the passed policy object SFn for advancing and for computing the distance between iterators.

## Public Types

typedef iterator_adaptor < Derived, Iterator, use_default, use_default, use_default, typename SFn::difference_type > | parent_t
typedef std::iterator_traits < Iterator >::difference_type | base_difference_type
typedef SFn::difference_type | difference_type
typedef std::iterator_traits < Iterator >::reference | reference

## Public Member Functions

| step_iterator_adaptor (const Iterator &it, SFn step_fn=SFn())
difference_type | step () const

## Protected Attributes

SFn | _step_fn

## Friends

class | boost::iterator_core_access

The documentation for this class was generated from the following file:

- step_iterator.hpp